/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.system.pm;

/**
 * MBean interface.
 */
public interface AttributePersistenceServiceMBean extends org.jboss.system.ServiceMBean
{

   java.lang.String getVersionTag();

   void setVersionTag(java.lang.String versionTag);

   java.lang.String getAttributePersistenceManagerClass();

   void setAttributePersistenceManagerClass(java.lang.String apmClass);

   org.w3c.dom.Element getAttributePersistenceManagerConfig();

   void setAttributePersistenceManagerConfig(org.w3c.dom.Element apmConfig);

   boolean getApmDestroyOnServiceStop();

   void setApmDestroyOnServiceStop(boolean apmDestroyOnStop);

   org.jboss.mx.persistence.AttributePersistenceManager apmCreate();

   boolean apmExists(java.lang.String id) throws java.lang.Exception;

   void apmRemove(java.lang.String id) throws java.lang.Exception;

   void apmRemoveAll() throws java.lang.Exception;

   java.lang.String[] apmListAll() throws java.lang.Exception;

   java.lang.String apmListAllAsString() throws java.lang.Exception;

}
